Subject: Re: [PATCHv1] completion: add option '--recurse-submodules' to 'git clone'

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Jul 2016 10:32:48 -0700

Junio C Hamano <[email-masked]> writes:

>> I noticed --recurse-submodules was missing from the bash completion. This adds
>> it. I went for '--recurse-submodules' instead of '--recursive' as I seem to
>> recall the former being agreed upon as the better (or least ambiguous) of the
>> two terms.
>
> Yup, that position is consistent with what 3446a54c (clone: fixup
> recurse_submodules option, 2011-02-11) gave us.

Silly me. The blame actually goes down to ccdd3da6 (clone: Add the
--recurse-submodules option as alias for --recursive, 2010-11-04),
but the conclusion is the same.

> Perhaps we should think about deprecating "--recursive"?  I dunno.

Anyway, I'll apply the "addition to the completion" patch.

Thanks.